export class RouterError extends Error {
	#code: string;

	public constructor(code: string, message: string) {
		super(message);
		this.#code = code;
	}

	public get code(): string {
		return this.#code;
	}
}